<?xml version="1.0"?>
<configuration>
  <configSections>
  </configSections>
  <appSettings>
    <add key="IsDebug" value="true" />
    <add key="ClientSettingsProvider.ServiceUri" value="" />
  </appSettings>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0" />
  </startup>
  <system.serviceModel>
    <bindings>
      <basicHttpBinding>
        <binding name="BasicHttpBinding_IAutoBrowseService" closeTimeout="00:01:00" openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00" allowCookies="false" bypassProxyOnLocal="false" maxBufferPoolSize="2147483647" maxReceivedMessageSize="2147483647" useDefaultWebProxy="true">
          <security>
            <transport clientCredentialType="None" />
            <message clientCredentialType="UserName" />
          </security>
        </binding>
      </basicHttpBinding>
      <netTcpBinding>
        <binding name="NetTcpBinding_IAutoBrowseService" closeTimeout="00:03:00" openTimeout="00:03:00" receiveTimeout="00:10:00" sendTimeout="00:03:00" transactionFlow="false" transferMode="Buffered" transactionProtocol="OleTransactions" hostNameComparisonMode="StrongWildcard" listenBacklog="10">
          <security mode="None" />
        </binding>
        <binding name="NetTcpBinding_ITaskWcfService" closeTimeout="00:03:00" openTimeout="00:03:00" receiveTimeout="00:10:00" sendTimeout="00:03:00" transactionFlow="false" transferMode="Buffered" transactionProtocol="OleTransactions" hostNameComparisonMode="StrongWildcard" listenBacklog="10">
          <security mode="None" />
        </binding>
        <binding name="NetTcpBinding_ICommonWcfService" closeTimeout="00:05:00" openTimeout="00:05:00" receiveTimeout="00:10:00" sendTimeout="00:05:00" transactionFlow="false" transferMode="Buffered" transactionProtocol="OleTransactions" hostNameComparisonMode="StrongWildcard" listenBacklog="10">
          <security mode="None" />
        </binding>
        <binding name="NetTcpBinding_ITaskWcfService1">
          <security mode="None" />
        </binding>
        <binding name="NetTcpBinding_ICommonWcfService1">
          <security mode="None" />
        </binding>
      </netTcpBinding>
    </bindings>
    <client>
      <endpoint address="net.tcp://119.29.139.167/Client/AutoBrowseService.svc" binding="netTcpBinding" bindingConfiguration="NetTcpBinding_IAutoBrowseService" contract="WcfContracts.taojinhao.net.Contracts.IAutoBrowseService" name="NetTcpBinding_IAutoBrowseService" />
      <endpoint address="net.tcp://119.29.139.167/Client/TaskWcfService.svc" binding="netTcpBinding" bindingConfiguration="NetTcpBinding_ITaskWcfService" contract="WcfContracts.taojinhao.net.ITaskWcfService" name="NetTcpBinding_ITaskWcfService" />
      <endpoint address="net.tcp://119.29.139.167/Common/CommonWcfService.svc" binding="netTcpBinding" bindingConfiguration="NetTcpBinding_ICommonWcfService" contract="WcfContracts.taojinhao.net.ICommonWcfService" name="NetTcpBinding_ICommonWcfService" />
      <endpoint address="net.tcp://service.taojinhao.net/Common/CommonWcfService.svc" binding="netTcpBinding" bindingConfiguration="NetTcpBinding_ICommonWcfService1" contract="WcfCommon.ICommonWcfService" name="NetTcpBinding_ICommonWcfService1" />
      <endpoint address="net.tcp://service.taojinhao.net/Client/TaskWcfService.svc" binding="netTcpBinding" bindingConfiguration="NetTcpBinding_ITaskWcfService1" contract="WcfTask.ITaskWcfService" name="NetTcpBinding_ITaskWcfService1" />
      <endpoint address="http://service.taojinhao.net/Client/AutoBrowseService.svc" binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding_IAutoBrowseService" contract="WcfAutoBrowse.IAutoBrowseService" name="BasicHttpBinding_IAutoBrowseService" />
    </client>
  </system.serviceModel>
  <system.web>
    <membership defaultProvider="ClientAuthenticationMembershipProvider">
      <providers>
        <add name="ClientAuthenticationMembershipProvider" type="System.Web.ClientServices.Providers.ClientFormsAuthenticationMembershipProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" />
      </providers>
    </membership>
    <roleManager defaultProvider="ClientRoleProvider" enabled="true">
      <providers>
        <add name="ClientRoleProvider" type="System.Web.ClientServices.Providers.ClientRoleProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" cacheTimeout="86400" />
      </providers>
    </roleManager>
  </system.web>
</configuration>